--- title: "Retry transaction" slug: "retry-transaction" updated: 2025-02-26T12:16:53Z published: 2026-01-22T13:05:41Z canonical: "api-docs.blinkpayment.co.uk/retry-transaction" --- > ## Documentation Index > Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt > Use this file to discover all available pages before exploring further. # Retry transaction Post/api/pay/v1/repeat-payments/retry/270 This endpoint reruns any specific payment which returned a declined status due to some issue with its Repeat schedule. **Parameters** schedule_id (integer) : id of the schedule of the repeat payment. **Request Body** payment_type (string, required): Repeat payment type. It must be either of the following values. It is passed to identify the type of the specific repeat schedule. This value cannot be updated. 1. fixed_schedule 2. variable_schedule recurring_id (integer, required): id of the transaction you wish to retry. **Response Body** - success (boolean) - message (string) SecurityHTTPType bearer Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c Body parametersobject Example{ "payment_type": "fixed_schedule", "recurring_id": "{reccuring_id}" } Responses200 Successful response